Get Application Connection
/applications/{applicationName}/connections/{connectionName}
Returns details about the specified application-level connection.
Request
-
applicationName(required):
Application name.
-
connectionName(required):
Connection name.
-
assertWallet:
-
password:
If set to true, the encrypted password is returned in the result.
Response
200 Response
OK
Connection details returned successfully.
400 Response
Bad Request
Failed to get connection details.
Examples
The following examples show how to get details about a specific application-level connection.
These examples use cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command - Oracle Database Connection
The following example gets details about an Oracle Database connection defined on application Sample.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB" -H Accept:application/json -u %User%:%Password%Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"name" : "OracleDB",
"description" : "Connection to Database",
"type" : "DB",
"subtype" : "ORACLE",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"host" : "dbhostname.example.com",
"port" : 1521,
"user" : "essbase"
"sid" : "orcl",
"links" : [ {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "GET"
}, {
"rel" : "edit",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "PUT"
}, {
"rel" : "delete",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB",
"method" : "DELETE"
}, {
"rel" : "self",
"href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB/actions/test",
"method" : "POST"
} ]
}Script with cURL Command - Connection to Autonomous Data Warehouse
The following example shows details about a connection to Autonomous Data Warehouse on Shared Infrastructure that is set up to enable Essbase to work with federated partitions. Federated partitions are supported only for Essbase deployment on Oracle Cloud Infrastructure.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/FedPart_conn?links=none" -H Accept:application/json -u %User%:%Password%Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"name" : "FedPart_conn",
"description" : "Connection for federated partition to Autonomous Data Warehouse",
"type" : "DB",
"subtype" : "ORACLE",
"walletPath" : "/system/wallets/Sample/FedPart_conn",
"minPoolSize" : 5,
"maxPoolSize" : 50,
"user" : "essbase",
"service" : "adwsql_low",
"links" : [ ]
}